AMBERDASH(1)

NAME
AMBERDASH - mdash interface for Amber trajectories

SYNOPSIS
amberdash [options] seed [-- dash_options]

Run mdash on trajectories generated by the Amber molecular dynamics package (http://ambermd.org/).

OPTIONS

-help
    Print help message and exit.

-version
    Print version number and exit.

-debug
    Print progress messages on stderr.

-keep
    Keep all the intermediate files that are normally deleted when the program exits.

-keep-dash-input
    Keep the dash input file seed.dash.in which is normally deleted when the program exits.

-keep-ptraj-input
    Keep the ptraj input file seed.ptraj.in which is normally deleted when the program exits.

-no-dash
    Generate (and keep) the dash input file seed.dash.in but do not run mdash.

-progress
    Print output from the ptraj command on stdout. Useful for monitoring progress when reading large trajectories.

-snap
    Write PDB files containing snapshots representing the dash states.

-backbone r1[T]:r2[T]
    Analyze the sequence of backbone phi/psi torsion angles from residue r1 to residue r2. If T is specified the residue is treated as a terminal residue and only one torsion angle is included (psi for r1, phi for r2).

DASH OPTIONS
The dash_options are described in the mdash documentation.

INPUT FILES
Several input files are required, specified by the seed prefix, in order to identify the topology, the torsion angles and the trajectory.

The topology is always specified by an Amber topology file seed.top.

The torsion angles may be specified either by the -backbone option or by a file seed.tor. The -backbone option takes precedence.

The trajectory may be specified either as a single Amber trajectory file seed.trj, or by a sequence of trajin commands in a text file seed.trajin. If seed.trajin exists, it is used and seed.trj is ignored; otherwise seed.trj is used. The seed.trajin approach is necessary if the trajectory spans several files or a subset of the trajectory is required via start, stop and offset arguments to trajin.

If snapshots are required (-snap) and the trajectory is specified in seed.trajin, the trajin commands in seed.trajin must include start, stop and offset fields. Otherwise the script is unable to locate the representative dash states in the trajectory and the snapshots are omitted.

seed.top
    An Amber topology file corresponding to the trajectory to be analyzed.

seed.trajin
    A text file containing trajin commands to extract the trajectory to be analyzed. Any lines not containing trajin commands are ignored.

seed.trj
    An Amber trajectory file.

seed.tor
    A text file defining the torsion angles to be analyzed. Each torsion angle is specified by a whitespace-separated line with five fields:

        name mask1 mask2 mask3 mask4

    Here name is an identifier and mask1, ..., mask4 are Amber atom masks defining the torsion angle. Lines starting with '#' are treated as comments and ignored. This file must be prepared manually by the user.

OUTPUT FILES

seed.dash.out
    The dash output file.

seed.ptraj.out
    The output from the ptraj command to extract the torsions.

If -snap is specified, the following files are written for each dash state:

    seed.stateN.frame
        The PDB file containing the representative frame frame for dash state N.

    seed.ptraj.stateN.out
        The output from the ptraj command to generate the PDB file for dash state N.

If -keep is specified, the following intermediate files are retained:

    seed.ptraj.in
        The input file for the ptraj command to extract the torsions.

    seed.name
        The torsion angles for each torsion name.

    seed.dash.in
        The dash input file obtained by joining the torsion angle files.

If -keep-ptraj and -snap are specified, the following files are retained:

    seed.ptraj.stateN.in
        The input file for the ptraj command to generate the PDB file for dash state N.

INSTALLATION
The programs mdash and either ptraj or cpptraj are required. If they are not on the PATH their full pathnames must be specified at the top of the amberdash script. cpptraj reads large trajectories faster than ptraj, while ptraj calculates statistics for the torsion angles.

NOTE
All the output files will be clobbered by the next run of the script for the same seed.

REFERENCE
 D. W. Salt, B. D. Hudson, L. Banting, M. J. Ellis and M. G. Ford
 DASH: A novel analysis method for molecular dynamics simulation data.
 Analysis of ligands of PPAR-gamma, J. Med. Chem., 48, 3214-3220, 2005.

ACKNOWLEDGEMENT
This work was funded by the Peptide Research Network of Excellence (PeReNE) (http://www.perene-project.eu/) as part of the INTERREG IV A France (Channel) England Programme (http://www.interreg4a-manche.eu/).

AUTHOR
David Whitley, University of Portsmouth <david.whitley@port.ac.uk>.